<div class="container-fluid" >
	<form action="" class="d-block my-5 col-md-6 mx-auto" method="GET">
		<label class="h6">Rechercher:</label>
		<input type="text" name="search" id="validation-search" class="form-control" value="{{GET.search}}"/>
	</form>
	<div class="row" style="min-height: 150vh">
		<div class="sticky-top col-12" style="max-height: 50px">
			<h4 id="validation-menu" class="pt-5 text-center bg-white pb-3">
				<a class="mx-2 toggler color-red"  href="#valid-desktop">Validé pour desktop</a>
				<a class="mx-2 toggler color-red"  href="#needs-validation"> Articles à valider</a>
				<a class="mx-2 toggler" href="#not-ready"> En cours de migration</a>
				<a class="mx-2 toggler" href="#logs"> Logs</a>
				<a class="mx-2" href="{{global.site_url}}?syncinfo">Infos</a>			
			</h4>
		</div>
		<div id="needs-validation" class="col-11 mx-auto validation-tab">
			[posts]
			{
				"query":{
				"numberposts":-1,
				"posts_per_page1":12,
				"lang":"{{GET.language}}",
				"posts_per_pagenext":12,
				"s":"{{GET.search}}",		
				"post_type":"post",
				"meta_query":[
				{"key": "migration-status", "value":"needs-validation", "compare":"="}
				]
			},
			"view":{
			"collection":{
			"layout":"grid"
		},
		"items":{
		"all":{
		"view": "@theme/post/card/cover",
		"item_class":"col-md-4 px-1 my-1 h-6",
		"block_class":"h-6 bg-gray-900",
		"title_class":"h3",
		"excerpt_class":"mh-100",
		"caption_class": "col-11 pos-absolute bottom-0 direct-0"
	}

}
}
}
[/posts]
</div>
<div id="not-ready" style="display:none" class="col-11 mx-auto validation-tab">
	[posts]
	{
		"query":{
		"numberposts":-1,
		"lang":"{{GET.language}}",

		"posts_per_page1":12,
		"posts_per_pagenext":12,
		"s":"{{GET.search}}",		
		"post_type":"post",
		"meta_query":[
		{"key": "migration-status", "value":"not-ready", "compare":"="}
		]
	},
	"view":{
	"collection":{
	"layout":"grid"
},
"items":{
"all":{
"view": "@theme/post/card/cover",
"item_class":"col-md-4 px-1 my-1 h-6",
"block_class":"h-6 bg-gray-900",
"title_class":"h3",
"excerpt_class":"mh-100",
"caption_class": "col-11 pos-absolute bottom-0 direct-0"
}

}
}
}
[/posts]
</div>
<div id="valid-desktop" style="display:none" class="col-11 mx-auto validation-tab">
	[posts]
	{
		"query":{
		"numberposts":-1,
		"posts_per_page1":12,
		"posts_per_pagenext":12,
		"s":"{{GET.search}}",		
		"orderby":"rand",
		"order":"ASC",
		"post_type":"post",
		"meta_query":[
		{"key": "migration-status", "value":"valid-desktop", "compare":"="}
		]
	},
	"view":{
	"collection":{
	"layout":"grid"
},
"items":{
"all":{
"view": "@theme/post/card/cover",
"item_class":"col-md-4 px-1 my-1 h-6",
"block_class":"h-6 bg-gray-900",
"title_class":"h3",
"excerpt_class":"mh-100",
"caption_class": "col-11 pos-absolute bottom-0 direct-0"
}

}
}
}
[/posts]
</div>

<div id="logs" class="col-11 mx-auto validation-tab">
[validation_logs][/validation_logs]
</div>
</div>
</div>
<style>
.mh-100{
	max-height: 100px !important;
	overflow: hidden;

}
</style>
<script type="text/javascript" src="{{global.site_url}}/wp-content/themes/inkyfada/migration/js/page-validation.js"></script>
